const axios = require("axios");
const http = require("http");

const response = await axios.get("http://httpbin.org/get?request=option", {httpAgent: new http.Agent({keepAlive: true})});
console.log("response is", response);

const instance = axios.create({httpAgent: new http.Agent({keepAlive: true})});
const instanceResponse = await instance.get("http://httpbin.org/get?instance=true")
console.log("instanceResponse is", instanceResponse);

axios.defaults.httpAgent = new http.Agent({keepAlive: true});
const globalDefaultResponse = await axios.get("http://httpbin.org/get?global=default");
console.log("globalDefaultResponse is", globalDefaultResponse);
;
